package fehler;

import java.util.Vector;

public class Beispiel3 {

	/**
	 * Ein Beispielprogramm, in dem unterschiedliche Fehlertypen unterschiedlich
	 * abgefangen werden. Zu Beachten ist: Die try/catch-Blöcke liegen innerhalb
	 * der Schleife - d.h. die Schleife wird weiter ausgeführt, auch wenn ein
	 * Fehler auftritt. (Bitte Konsolen-Ausgabe bzw. Programmablauf im Debugger
	 * betrachten).
	 */
	public static void main(String[] args) {

		Vector zahlen = new Vector();
		zahlen.add(1);
		zahlen.add(2);
		zahlen.add(0);
		zahlen.add("Fünfzehn");
		zahlen.add(3);
		zahlen.add(3);

		int i;
		for (i = 0; i <= zahlen.size(); i++) {
			try {
				int zahl = (Integer) zahlen.get(i);
				int ergebnis = 10 / zahl;
				System.out.println("Berechnung von 10 /  " + zahl + ": " + ergebnis);

			} catch (ArithmeticException ex) {
				ex.printStackTrace();
			} catch(ArrayIndexOutOfBoundsException ex) {
				ex.printStackTrace();
			} catch (ClassCastException ex) {
				ex.printStackTrace();
			}
		}

	}

}
